# Method: projects.subscriptions.get

- [HTTP request](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions/get#try-it)

Gets the configuration details of a subscription.

### HTTP request

Choose a location:
<button value="global" default="">global</button>   
`GET https://pubsub.googleapis.com/v1/{subscription}`

<br />

### Path parameters

| Parameters ||
|---|---|
| `subscription` | `string` Required. The name of the subscription to get. Format is `projects/{project}/subscriptions/{sub}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.subscriptions#Subscription`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/pubsub`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).